<?php

namespace Dropp\Woocommerce;

class Session {

	const SELECTED_TIMESLOT_SESSION_KEY = 'with_dropp_timeslot';

	public function __construct() {
		wc_load_cart();
	}

	/**
	 * Sets the selected timeslot in the session.
	 *
	 * @param array $timeslot
	 */
	public function set_selected_timeslot( array $timeslot ) {
		WC()->session->set( self::SELECTED_TIMESLOT_SESSION_KEY, $timeslot );
	}

	/**
	 * Reads the selected timeslot from the session.
	 *
	 * @return array|null
	 */
	public function get_selected_timeslot() {
		return WC()->session->get( self::SELECTED_TIMESLOT_SESSION_KEY);
	}
}
